> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fynn.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a unit

> Get a unit

<sup>Required permissions: `unit:read`</sup>



## OpenAPI

````yaml get /units/{id}
openapi: 3.1.0
info:
  title: Fynn API
  description: ''
  termsOfService: https://www.fynn.eu/tos
  contact:
    name: Fynn UG (haftungsbeschränkt)
    url: https://www.fynn.eu
    email: hi@fynn.eu
  license:
    name: Proprietary
    url: https://www.fynn.eu/license
  version: 0.0.0
servers:
  - url: https://coreapi.io
    description: Production
  - url: https://preview.coreapi.io
    description: Sandbox
security:
  - JWT: []
tags: []
paths:
  /units/{id}:
    parameters: []
    get:
      tags:
        - Unit
      summary: Get a unit
      description: |-
        Get a unit

        <sup>Required permissions: `unit:read`</sup>
      operationId: getUnit
      parameters:
        - name: locale
          in: query
          description: >-
            Defines the locale to use for translations. Defaults to tenant
            locale.
          required: false
          deprecated: false
          allowEmptyValue: false
          schema:
            type: string
            default: null
          style: form
          explode: false
          allowReserved: false
          example: en
        - name: id
          in: path
          description: Unit identifier
          required: true
          deprecated: false
          schema:
            type: string
          style: simple
          explode: false
      responses:
        '200':
          description: Unit resource
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Unit-UnitRead'
            text/html:
              schema:
                $ref: '#/components/schemas/Unit-UnitRead'
        '404':
          description: Resource not found
      deprecated: false
      security:
        - JWT:
            - unit:read
      x-codeSamples:
        - lang: bash
          label: cURL
          source: |-
            curl -X GET \
             /units/{id} \
             --header "Authorization: Bearer <token>"
components:
  schemas:
    Unit-UnitRead:
      type: object
      description: ''
      deprecated: false
      properties:
        id:
          $ref: '#/components/schemas/UnitId-UnitRead'
          readOnly: true
        name:
          example: Stück
          type: string
        translations:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/UnitTranslation-UnitRead'
        createdAt:
          readOnly: true
          description: The date and time when the resource was created.
          example: '2021-01-01T00:00:00+00:00'
          type: string
          format: date-time
        updatedAt:
          readOnly: true
          description: The date and time when the resource was last updated.
          example: '2021-01-01T00:00:00+00:00'
          type: string
          format: date-time
    UnitId-UnitRead:
      type: object
      description: ''
      deprecated: false
    UnitTranslation-UnitRead:
      type: object
      description: ''
      deprecated: false
      required:
        - name
        - locale
      properties:
        name:
          maxLength: 255
          example: Stück
          type: string
        locale:
          example: de
          type: string
  securitySchemes:
    JWT:
      type: http
      scheme: bearer

````